Page MenuHomePhabricator

Translate editor shortcut indicators incorrectly positioned after fixing jQuery Migrate warning
Closed, ResolvedPublic

Description

Please compare Special:Translate using https://gerrit.wikimedia.org/r/381528 with $wgUsejQueryThree = false;, with $wgUsejQueryThree = true; and with $wgUsejQueryThree = true; and the migrate plugin temporarily disabled.

With the middle option, the shortcut tips shown when ALT button is hold down are mispositioned.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2017, 10:37 AM

I just realized the patch was incorrect. Now the position is incorrect with all three of those. But I don't really understand why. I would expect the top-left corner of the elements to match (ignoring the negative margins of the absolutely positioned elements).

Nikerabbit renamed this task from jQuery Migrate Plugin seems to break .offset() to Translate editor shortcut indicators incorrectly positioned after fixing jQuery Migrate warning.Sep 30 2017, 10:53 AM

Change 381528 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix editor shortcuts not showing up

https://gerrit.wikimedia.org/r/381528

After I got rid of negative margins and instead manipulated the offset directly it again seems to work okay.

Here is a screenshot how they looked like before they got broken (1, 2, up, down; no example of insertables here):

Change 381528 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix editor shortcuts not showing up

https://gerrit.wikimedia.org/r/381528

Nikerabbit closed this task as Resolved.Oct 10 2017, 9:05 AM
Nikerabbit claimed this task.
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit moved this task from Backlog to Done on the Language-2017-Oct-Dec board.Nov 7 2017, 7:07 AM